@font-face {
    font-family: "Comfortaa";
    src: url(../fonts/Comfortaa-Regular.ttf);
}
@font-face {
    font-family: "Jetbrain";
    src: url(../fonts/JetBrainsMonoNL-Regular.ttf) format('truetype');
}

body {
    background-color:  #131313;
}

div.container {
    background-color: #131313;

    width: 100%;

    display: flex;
    align-items: center;
    justify-content: flex-start; 
    flex-direction: column;
    color: #fff;

    text-align: left;
    margin: 0 0 3vh 0;
}

div.center {
    justify-content: center;
}

div.customer {
    justify-content: flex-start;
}

div.container-top {
    background-color: #131313;

    width: 100%;
    height: 94%;

    display: flex;
    align-items: center;
    justify-content: flex-start; 
    flex-direction: column;
    color: #fff;
}

div.container-top > div.box-top {
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: space-around; 
    flex-direction: row;
}

div.buttons-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 25px;
}

h3.title {
    font-family: "Jetbrain";
    font-weight: 10;
    margin-top: 10%;
}

div.container > h2 {
    font-family: "Jetbrain";
    font-weight: 10;
}

h3 {
    font-family: "Jetbrain";
    font-weight: 10;
}

div.container > img {
    width: 100%;
}

div.container > img.avatar {
    width: 40%;
}

div.container > img.avatar-profil {
    width: 128px;
    height: 128px;
    margin: 4vh;
    border-radius: 100%;
    border: double 7px;
}

div.container > h2.user-title {
    margin-top: 10%;
    margin-bottom: 15%;
}


a.box-add {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-decoration: none;
    color: #fff;
}

span.box-icon {
    font-size: 400%;
    margin: 10%;
}

i.icon {
    color: #FC7E1F;
}

form.adress {
    position: relative;
    width: 60vw;
    text-align: center;
    background-color: #202020;
}   

/*///////////////////////////////////////////////////////////////////*/
/* SECTION BUTTON INPUT FILE */
/*///////////////////////////////////////////////////////////////////*/

div.fileBtn {
    background-color: #2B2B2B;
    width: 270px;
    text-align: center;
    padding: 10px;
    font-family: "Comfortaa";
}

.fileUpload {
    position: relative;
    overflow: hidden;
    margin: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.fileUpload input.upload {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    font-size: 20px;
    cursor: pointer;
    opacity: 0;
    filter: alpha(opacity=0);
}

/*///////////////////////////////////////////////////////////////////*/
/* SECTION BUTTON INPUT SUBMIT */
/*///////////////////////////////////////////////////////////////////*/
div.buttons-container > button.button {
    position: relative;
    width: 270px;
    background-color: #FC7E1F;
    text-align: center;
    padding: 10px;
    padding-top: 15px;
    padding-bottom: 15px;
    font-family: "Comfortaa";
    color: #fff;
    font-size: 20px;
    border: none;
}

div.buttons-container > button.edit {
    width: 170px;
    margin-bottom: 15px;
}


div.buttons-container > button.button:before {
    position: absolute;
    content: "";
    top: 5px;
    left: 5px;
    width: 15px;
    height: 15px;
    background: transparent;
    border-top: 2px solid white;
    border-left: 2px solid white;
}

div.buttons-container > button.button:after {
    content: "";
    position: absolute;
    bottom: 5px;
    right: 5px;
    width: 15px;
    height: 15px;
    background: transparent;
    border-bottom: 2px solid white;
    border-right: 2px solid white;
}
/*///////////////////////////////////////////////////////////////////*/
/* SECTION BUTTON A */
/*///////////////////////////////////////////////////////////////////*/
div.buttons-container > div.button {
    position: relative;
    width: 250px;
    height: 100%;
    background-color: #FC7E1F;
    text-align: center;
    padding: 10px;
    padding-top: 15px;
    padding-bottom: 15px;
    font-family: "Comfortaa";
}

div.buttons-container > div.button > a {
    text-decoration: none;
    color: #fff;
    font-size: 19px;
    padding: 20px;
}

div.buttons-container > div.button:before {
    position: absolute;
    content: "";
    top: 5px;
    left: 5px;
    width: 15px;
    height: 15px;
    background: transparent;
    border-top: 2px solid white;
    border-left: 2px solid white;
}

div.buttons-container > div.button:after {
    content: "";
    position: absolute;
    bottom: 5px;
    right: 5px;
    width: 15px;
    height: 15px;
    background: transparent;
    border-bottom: 2px solid white;
    border-right: 2px solid white;
}

div.remember-box {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: row;
}

div.remember-box > input {
    padding: 0vh;
    width: 20px;
    height: 16px;
}

div.remember-box > label {
    width: 100%;
    background: none;
    font-size: 15px;
    font-weight: bold;
    text-align: left;
}

div.options-ctn {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 3vh;
}

div.options-ctn > div.remember-box {
    margin-bottom: 1vh;
}

div.options-ctn > h4 {
    cursor: pointer;
    margin: 0;
    margin-bottom: 2vh;
    font-family: "Comfortaa";
}

#popup {
    transition-duration: 200ms;
    position: fixed;
    z-index: 100;
    background: #0e0e0e44;
    backdrop-filter: blur(10px);
    top: 0;
    
    width: 100%;
    height: 100%;
    
    display: none;
    justify-content: center;
    align-items: center;
}

#popup > div.container {
    position: relative;
    width: 90vw;
    height: 31vh;
    background-color: #171717;
}

#popup > div.container > div.top {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#popup > div.container > div.top > h2, #popup > div.container > div.top > h3 {
    margin-left: 3vh;
    margin-right: 3vh;
    font-family: "Comfortaa";
}

#popup > div.container > div.ctn > div.entry-container {
    margin-top: 10%;
    margin-bottom: 10%;
}

div.buttons-container > button.btn {
    width: 60vw;
}

#closeBtn {
    color: #ad1a1a;
    cursor: pointer;
}

#line {
    display: none;
}

@media only screen and (min-width : 1224px){
    div.options-ctn > div.remember-box {
        margin-bottom: 0;
    }

    div.options-ctn > h4 {
        margin: 0;
    }

    #form-login {
        width: 25%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    #form-login > div.entry-container {
        margin: 0;
    }

    #form-login > div.buttons-container {
        flex-direction: row;
    }

    div.remember-box {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        flex-direction: row;
    }

    div.remember-box > input {
        padding: 0vh;
        width: 50px;
        height: 16px;
        margin: 3px;
    }

    div.remember-box > label {
        width: 100%;
        background: none;
        font-size: 18px;
        font-weight: bold;
        text-align: left;
    }

    form.adress {
        position: relative;
        width: 18vw;
        background-color: #202020;
        text-align: center;
    }    

    div.options-ctn {
        width: 100%;
        display: flex;
        justify-content: space-around;
        align-items: center;
        margin: 3vh;
        flex-direction: row;
    }

    div.options-ctn > input, label {
        margin: 0;
        padding: 0;
    }

    div.options-ctn > h4, div.options-ctn > label {
        font-family: "Comfortaa";
    }

    div.container > img {
        width: 25%;
    }

    div.fileBtn {
        padding-top: 1vh !important;
        padding-bottom: 1vh !important;
    }

    div.entry-container > div.box {
        padding: 0vh;
    }

    h3.title {
        margin-top: 6vh;
        margin-bottom: 6vh;
    }

    div.buttons-container button.btn:hover div.left:before {
        top: -10px;
        left: -10px;
    }
    div.buttons-container button.btn:hover div.left:after {
        bottom: -10px;
        left: -10px;
    }
    
    div.buttons-container button.btn:hover div.right:before {
        top: -10px;
        right: -10px;
    }
    div.buttons-container button.btn:hover div.right:after {
        bottom: -10px;
        right: -10px;
    }

    #popup {
        position: fixed;
        z-index: 100;
        background: #0e0e0e44;
        backdrop-filter: blur(10px);
        top: 0;
        
        width: 100%;
        height: 100%;
        
        display: none;
        justify-content: center;
        align-items: center;
    }

    #popup > div.container {
        position: relative;
        width: 30vw;
        height: 30vh;
        background-color: #171717;
    }

    #popup > div.container > div.top {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    #popup > div.container > div.top > h2, #popup > div.container > div.top > h3 {
        margin-left: 3vh;
        margin-right: 3vh;
        font-family: "Comfortaa";
    }

    #popup > div.container > div.content > div.entry-container {
        margin-top: 10%;
        margin-bottom: 10%;
    }

    #closeBtn {
        color: #ad1a1a;
        cursor: pointer;
    }

    #closeBtn:hover {
        color: #fa2424;
    }

    div.buttons-container { 
        flex-direction: column;
    }

    div.buttons-container > button.btn {
        width: 15vw;
    }

    #line {
        display: inherit;
        width: 100%;
    }
}